/*
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package api;

import invalidPackageName.ApiException;
import model.EntityModelVehicle;
import model.PagedModelEntityModelVehicle;
import model.VehicleRequestBody;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for VehicleEntityControllerApi
 */
@Disabled
public class VehicleEntityControllerApiTest {

    private final VehicleEntityControllerApi api = new VehicleEntityControllerApi();

    /**
     * delete-vehicle
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void deleteItemResourceVehicleDeleteTest() throws ApiException {
        String id = null;
        api.deleteItemResourceVehicleDelete(id);
        // TODO: test validations
    }

    /**
     * get-vehicle
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void getCollectionResourceVehicleGet1Test() throws ApiException {
        Integer page = null;
        Integer size = null;
        List<String> sort = null;
        PagedModelEntityModelVehicle response = api.getCollectionResourceVehicleGet1(page, size, sort);
        // TODO: test validations
    }

    /**
     * get-vehicle
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void getItemResourceVehicleGetTest() throws ApiException {
        String id = null;
        EntityModelVehicle response = api.getItemResourceVehicleGet(id);
        // TODO: test validations
    }

    /**
     * patch-vehicle
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void patchItemResourceVehiclePatchTest() throws ApiException {
        String id = null;
        VehicleRequestBody vehicleRequestBody = null;
        EntityModelVehicle response = api.patchItemResourceVehiclePatch(id, vehicleRequestBody);
        // TODO: test validations
    }

    /**
     * create-vehicle
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void postCollectionResourceVehiclePostTest() throws ApiException {
        VehicleRequestBody vehicleRequestBody = null;
        EntityModelVehicle response = api.postCollectionResourceVehiclePost(vehicleRequestBody);
        // TODO: test validations
    }

    /**
     * update-vehicle
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void putItemResourceVehiclePutTest() throws ApiException {
        String id = null;
        VehicleRequestBody vehicleRequestBody = null;
        EntityModelVehicle response = api.putItemResourceVehiclePut(id, vehicleRequestBody);
        // TODO: test validations
    }

}
